Subject: Re: Next May 11 : BUG during scsi initialization

From: Nick Piggin <[email-masked]>
Date: Tue, 12 May 2009 07:59:18 +0200

On Tue, May 12, 2009 at 03:56:13PM +1000, Stephen Rothwell wrote:
> Hi Nick,
> 
> On Tue, 12 May 2009 06:57:16 +0200 Nick Piggin <[email-masked]> wrote:
> >
> > Hmm, I think (hope) your problems were fixed with the recent memory
> > coruption bug fix for SLQB. (if not, let me know)
> > 
> > This one possibly looks like a problem with remote memory allocation
> > or memory hotplug or something like that. I'll do a bit of code
> > review....
> 
> These are -next kernels which include the two fixes you posted recently
> (I am pretty sure).

Yes they should do.

>  I am also getting the network failures that Sachin
> is seeing on several of my machines here.  The previously reported
> problems have gone away.

This one is a SCSI failure... was there also a network one reported?
At any rate, I'm fairly sure this is a problem with SLQB, so it could
easily happen in any early driver setup.